io.undertow.util

## Class ByteRange.RangeResponseResult

- java.lang.Object
- - io.undertow.util.ByteRange.RangeResponseResult

Enclosing class:
  ByteRange

    public static class ByteRange.RangeResponseResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RangeResponseResult(long start, long end, long contentLength, String contentRange, int statusCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getContentLength()`
`String` `getContentRange()`
`long` `getEnd()`
`long` `getStart()`
`int` `getStatusCode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeResponseResult

    public RangeResponseResult(long start,
                               long end,
                               long contentLength,
                               String contentRange,
                               int statusCode)

### Method Detail

#### getStart

    public long getStart()

#### getEnd

    public long getEnd()

#### getContentLength

    public long getContentLength()

#### getContentRange

    public String getContentRange()

#### getStatusCode

    public int getStatusCode()